Package jebl.evolution.treemetrics

# Class RobinsonsFouldMetric

java.lang.Object
jebl.evolution.treemetrics.RobinsonsFouldMetric

All Implemented Interfaces:
  `RootedTreeMetric`

public class RobinsonsFouldMetric extends Object implements RootedTreeMetric

Version:
  $Id$
Author:
  Andrew Rambaut

## Constructor Summary

Constructors
Constructor
Description
`RobinsonsFouldMetric()`
`RobinsonsFouldMetric(List<Taxon> taxa)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getMetric(RootedTree tree1, RootedTree tree2)`
calculates the metric between two rooted trees

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RobinsonsFouldMetric

public RobinsonsFouldMetric()

### RobinsonsFouldMetric

public RobinsonsFouldMetric(List<Taxon> taxa)

## Method Details

### getMetric

public double getMetric(RootedTree tree1, RootedTree tree2)
Description copied from interface: `RootedTreeMetric`
calculates the metric between two rooted trees

Specified by:
  `getMetric` in interface `RootedTreeMetric`
Parameters:
  `tree1` - first tree
  `tree2` - second tree
Returns:
  the tree metric value